package com.example.chat.dao.redis;

import org.springframework.data.redis.core.StringRedisTemplate;
import org.springframework.data.redis.core.ValueOperations;
import org.springframework.stereotype.Repository;

import javax.annotation.Resource;
import java.util.concurrent.TimeUnit;

@Repository
public class CodeRedis implements RedisUtil {
    @Resource
    StringRedisTemplate stringRedisTemplate;

    @Override
    public void addRedis(String account, String code) {
        if (account != null && code != null) {
            ValueOperations<String, String> valueOperations = stringRedisTemplate.opsForValue();
            valueOperations.set(account, code, 60, TimeUnit.SECONDS);
        }
    }

    @Override
    public String getRedis(String account) {
        return stringRedisTemplate.opsForValue().get(account);
    }

    @Override
    public void delRedis(String account) {

    }
}
