package com.example.chat.dao.chat;

import com.example.chat.entity.chat.Message;
import com.example.chat.entity.chat.UpdateMessage;
import io.netty.handler.codec.MessageAggregator;
import org.springframework.stereotype.Repository;

import java.io.IOException;
import java.util.List;
public interface ChatMapper {
    public abstract void addMessage(Message message) throws IOException;

    public abstract void deleteMessage();

    public abstract List<Message> getMessage() throws IOException;

    public abstract void updateMessage(UpdateMessage updateMessage) throws IOException;
}
